# Interface ICefBeforeDownloadCallback

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefBeforeDownloadCallback = interface(ICefBaseRefCounted)`

## Description

Callback interface used to asynchronously continue a download.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_download_handler_capi.h">CEF source file: /include/capi/cef_download_handler_capi.h (cef_before_download_callback_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefBeforeDownloadCallback

## Overview

### Methods

| `procedure Cont(const downloadPath: ustring; showDialog: Boolean);`

## Description

### Methods

| `procedure Cont(const downloadPath: ustring; showDialog: Boolean);`
Call to continue the download. Set |download_path| to the full file path for the download including the file name or leave blank to use the suggested name and the default temp directory. Set |show_dialog| to true (1) if you do wish to show the default "Save As" dialog. ###### Attributes GUID['{5A81AF75-CBA2-444D-AD8E-522160F36433}']

Generated by PasDoc 0.16.0-snapshot.